---@meta

---@class ABP_Interactable_BurgerPack_01_C : ABP_Interactable_Actor_C
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Material UMaterialInstanceDynamic
---@field ItemsLeftInPack int32
local ABP_Interactable_BurgerPack_01_C = {}

function ABP_Interactable_BurgerPack_01_C:OnRep_ItemsLeftInPack() end
---@param Mesh UStaticMesh
---@param DynamicMaterial UMaterialInstanceDynamic
function ABP_Interactable_BurgerPack_01_C:GetVisuals(Mesh, DynamicMaterial) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_BurgerPack_01_C:InpActEvt_IA_PrimaryFire_K2Node_EnhancedInputActionEvent_0(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
function ABP_Interactable_BurgerPack_01_C:CountItDown() end
function ABP_Interactable_BurgerPack_01_C:ReceiveBeginPlay() end
function ABP_Interactable_BurgerPack_01_C:UpdateFluff() end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_Interactable_BurgerPack_01_C:CallBackPrimaryFire(Player, Stop) end
---@param EntryPoint int32
function ABP_Interactable_BurgerPack_01_C:ExecuteUbergraph_BP_Interactable_BurgerPack_01(EntryPoint) end


